
QGIS Application - Bug report #19833

Stack trace when viewing a versioned table in DB Manager

2018-09-12 05:39 PM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27657

Description

Creating an empty table then versioning it (Table -> Change logging) results in an error when clicking on the information/table/preview

tabs:

ValueError: Single '}' encountered in format string 

Traceback (most recent call last):

  File "/home/matteo/lavori/QGIS/build-qgis3-master/output/python/plugins/db_manager/dlg_sql_window.py", line 296, in

executeSqlCompleted

    self.lblResult.setText(self.tr("{0} rows, {1:.3f} seconds").format(model.affectedRows(), model.secs()))

ValueError: Single '}' encountered in format string

Related issues:

Duplicated by QGIS Application - Bug report # 20467: update sql layer Closed 2018-11-12

Associated revisions

Revision 0ab6088f - 2018-11-17 12:57 PM - Jürgen Fischer

translations: remove mysterious line noise (fixes #19833)

History

#1 - 2018-09-12 07:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it works as expected on 2.18?

#2 - 2018-09-13 07:38 AM - matteo ghetta

seems not

#3 - 2018-09-13 01:16 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-11-16 02:32 PM - Christophe Damour

In QGIS 3.4.1, french translation file contains an incorrect translation string in context DlgSqlWindow.

English string :{0} rows, {1:.3f} seconds
French string :{0} enregistrements, {1:.1f} secondes {0}?} {1:.3f?}

QGIS 2.18 looks ok :

English string :

%d rows, %.1f seconds

French string :

%d lignes, %.1f secondes

#5 - 2018-11-16 04:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

So this is a translation problem and does NOT happen if QGIS is used in English?

#6 - 2018-11-16 08:53 PM - Christophe Damour

I didn't test in english but I believe so.

#7 - 2018-11-17 11:04 AM - Jürgen Fischer

- Duplicated by Bug report #20467: update sql layer added

#8 - 2018-11-17 01:14 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|0ab6088f91522e7b94536eeafa126589b0b14cf0.
